PLSCMAP1A(3)

NAME
plscmap1a - Set semitransparent cmap1 RGBA colors.

SYNOPSIS
plscmap1a(r, g, b, alpha, ncol1)

DESCRIPTION

Set semitransparent cmap1 colors (see the PLplot documentation) using RGBA vector values. This function also sets the number of cmap1 colors. N.B. Continuous cmap1 colors are indexed with a floating-point index in the range from 0.0-1.0 which is linearly transformed (e.g., by plcol1(3)) to an integer index of these RGBA vectors in the range from 0 to ncol1-1. So in order for this continuous color model to work properly, it is the responsibility of the user of plscmap1(3) to insure that these RGBA vectors are continuous functions of their integer indices.

Redacted form: plscmap1a(r, g, b, alpha)

This function is used in example 31.

ARGUMENTS

r (PLINT_VECTOR(3), input)
    A vector that represents (using unsigned 8-bit integers in the range from 0-255) the degree of red in the color as a continuous function of the integer index of the vector.

g (PLINT_VECTOR(3), input)
    A vector that represents (using unsigned 8-bit integers in the range from 0-255) the degree of green in the color as a continuous function of the integer index of the vector.

b (PLINT_VECTOR(3), input)
    A vector that represents (using unsigned 8-bit integers in the range from 0-255) the degree of blue in the color as a continuous function of the integer index of the vector.

alpha (PLFLT_VECTOR(3), input)
    A vector that represents (using PLFLT values in the range from 0.0-1.0 where 0.0 corresponds to completely transparent and 1.0 corresponds to completely opaque) the alpha transparency of the color as a continuous function of the integer index of the vector.

ncol1 (PLINT(3), input)
    Number of items in the r, g, b, and alpha vectors.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.